Skip to content
Fetching contributors…
Cannot retrieve contributors at this time
66 lines (58 sloc) 1.21 KB
bundler_args: --without guard metrics
script: "bundle exec rake spec"
rvm:
- 1.8.7
- 1.9.2
- 1.9.3
- ruby-head
- ree
- jruby
- rbx-18mode
# - rbx-19mode # FIXME: uncomment when rbx 1.9 is more stable
env:
-
- JRUBY_OPTS="--1.8"
- JRUBY_OPTS="--1.9"
matrix:
exclude:
# exclude 1.8.7
- rvm: 1.8.7
env: JRUBY_OPTS="--1.8"
- rvm: 1.8.7
env: JRUBY_OPTS="--1.9"
# exclude 1.9.2
- rvm: 1.9.2
env: JRUBY_OPTS="--1.8"
- rvm: 1.9.2
env: JRUBY_OPTS="--1.9"
# exclude 1.9.3
- rvm: 1.9.3
env: JRUBY_OPTS="--1.8"
- rvm: 1.9.3
env: JRUBY_OPTS="--1.9"
# exclude ruby-head
- rvm: ruby-head
env: JRUBY_OPTS="--1.8"
- rvm: ruby-head
env: JRUBY_OPTS="--1.9"
# exclude ree
- rvm: ree
env: JRUBY_OPTS="--1.8"
- rvm: ree
env: JRUBY_OPTS="--1.9"
# exclude jruby
- rvm: jruby
env:
# exclude rbx-18mode
- rvm: rbx-18mode
env: JRUBY_OPTS="--1.8"
- rvm: rbx-18mode
env: JRUBY_OPTS="--1.9"
# exclude rbx-19mode
- rvm: rbx-19mode
env: JRUBY_OPTS="--1.8"
- rvm: rbx-19mode
env: JRUBY_OPTS="--1.9"
notifications:
email:
- piotr.solnica@gmail.com
Jump to Line
Something went wrong with that request. Please try again.